<?php 
    $wp_customize->add_section(
        'topcategories_area',
        array(
            'title' => __( 'Top Category Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'topcategories_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'topcategories_area_disable',
            array(
                'settings'      => 'topcategories_area_disable',
                'section'       => 'topcategories_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'topcategories', 'topcategories_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'topcatarea_padding', 'topcategories_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'topcategories_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'topcategories_areaTpadding',
    array(
        'settings'      => 'topcategories_areaTpadding',
        'section'       => 'topcategories_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'topcategories_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'topcategories_areaBpadding',
    array(
        'settings'      => 'topcategories_areaBpadding',
        'section'       => 'topcategories_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
        'topcategories_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'TOP CATEGORYS', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'topcategories_title',
        array(
            'settings'      => 'topcategories_title',
            'section'       => 'topcategories_area',
            'type'          => 'text',
            'label'         => __( 'Section Title', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'topcategories_area_sectitle', 'topcategories_area', 'Section Title color', '#000');
addColorPalatOption($wp_customize, 'topcategories_area_sectitleborder', 'topcategories_area', 'Section Title Border color', '#eaeaea');
addColorPalatOption($wp_customize, 'topcategories_area_sliderarrow', 'topcategories_area', 'Slider Arrow color', '#9fa2a5');
addColorPalatOption($wp_customize, 'topcategories_area_sliderarrowhover', 'topcategories_area', 'Slider Arrow Hover color', '#0d61cc');
addColorPalatOption($wp_customize, 'topcategories_area_sliderborder', 'topcategories_area', 'Slider Border color', '#eaeaea');
addColorPalatOption($wp_customize, 'topcategories_area_cat', 'topcategories_area', 'Category color', '#000');
addColorPalatOption($wp_customize, 'topcategories_area_cathover', 'topcategories_area', 'Category Hover color', '#fff');
addColorPalatOption($wp_customize, 'topcategories_area_catbg', 'topcategories_area', 'Category Background color', '#fff');
addColorPalatOption($wp_customize, 'topcategories_area_catbghover', 'topcategories_area', 'Category Background Hover color', '#ff0c12');
addColorPalatOption($wp_customize, 'topcategories_area_catborder', 'topcategories_area', 'Category Border color', '#ebebeb');
addColorPalatOption($wp_customize, 'topcategories_area_catborderhover', 'topcategories_area', 'Category Border Hover color', '#ff0c12');
addColorPalatOption($wp_customize, 'topcategories_area_boxborder', 'topcategories_area', 'Category Box Border color', '#eaeaea');